class StampTimeline {
  List<ContentTimeline>? content;

  StampTimeline({this.content});

  StampTimeline.fromJson(Map<String, dynamic> json) {
    if (json['content'] != null) {
      content = <ContentTimeline>[];
      json['content'].forEach((v) {
        content?.add(new ContentTimeline.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.content != null) {
      data['content'] = this.content?.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class ContentTimeline {
  int? id;
  int? ageDay;
  int? cropId;
  String? executeDate;
  String? description;
  String? location;
  String? createdDate;
  int? createdById;
  String? createdByName;
  int? activityTypeId;
  String? activityTypeName;
  String? activityTypeDescription;
  String? codeId;
  bool? afterHarvest;

  ContentTimeline(
      {this.id,
      this.ageDay,
      this.cropId,
      this.executeDate,
      this.description,
      this.createdDate,
      this.createdById,
      this.createdByName,
      this.activityTypeId,
      this.activityTypeName,
      this.activityTypeDescription,
      this.codeId,
      this.afterHarvest});

  ContentTimeline.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    ageDay = json['ageDay'];
    cropId = json['cropId'];
    executeDate = json['executeDate'];
    description = json['description'];
    location = json['location'];
    createdDate = json['createdDate'];
    createdById = json['createdById'];
    createdByName = json['createdByName'];
    activityTypeId = json['activityTypeId'];
    activityTypeName = json['activityTypeName'];
    activityTypeDescription = json['activityTypeDescription'];
    codeId = json['codeId'];
    afterHarvest = json['afterHarvest'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['ageDay'] = this.ageDay;
    data['cropId'] = this.cropId;
    data['executeDate'] = this.executeDate;
    data['description'] = this.description;
    data['location'] = this.location;
    data['createdDate'] = this.createdDate;
    data['createdById'] = this.createdById;
    data['createdByName'] = this.createdByName;
    data['activityTypeId'] = this.activityTypeId;
    data['activityTypeName'] = this.activityTypeName;
    data['activityTypeDescription'] = this.activityTypeDescription;
    data['codeId'] = this.codeId;
    data['afterHarvest'] = this.afterHarvest;
    return data;
  }
}
